Get Transaction Groups

Use this to get all available transaction groups. Each transaction group contains the list of channels

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

REQUEST

Field NameDescriptionTypeRequiredConstraints
pageNumThe number of the page to start fromIntegerOptionalDefault: 1
pageSizeThe number of items returned per pageIntegerOptionalDefault: 100. Max: 100

Sample Request

{{base_url}}/api/v1/transactions/groups

{{base_url}} is the location of arbiter 2.0 API

RESPONSE

Field NameDescriptionType
nameName of the groupString
channelsAn array of channels available on the transaction groupJSON Array
customerReferenceReference used by the transaction store to identify the transactionString
storeName of the transaction store the group belongs toString
requiredParametersList of parameters required when searching for a transaction within the groupJSON Array
additionalParametersList of optional parameters when searching for a transaction.JSON Array

Sample Response

[  
    {  
        "name": "AGENCY BANKING",  
        "channels": {  
            "ALL": {  
                "customerReference": "pan",  
                "store": "RJService",  
                "requiredParameters": [  
                    "terminal",  
                    "pan"  
                ],  
                "additionalParameters": [  
                    "stan",  
                    "account",  
                    "rrn "  
                ]  
            }  
        }  
    },  
    {  
        "name": "Bill Payment",  
        "channels": {  
            "All": {  
                "customerReference": "customerReference",  
                "store": "PAYDIRECT",  
                "requiredParameters": [],  
                "additionalParameters": [  
                    "phoneNumber",  
                    "paymentReference",  
                    "pan"  
                ]  
            }  
        }  
    },  
    {  
        "name": "CASH WITHDRAWAL",  
        "channels": {  
            "ALL": {  
                "customerReference": "pan",  
                "store": "RJService",  
                "requiredParameters": [  
                    "terminal",  
                    "pan"  
                ],  
                "additionalParameters": [  
                    "stan",  
                    "account",  
                    "rrn "  
                ]  
            }  
        }  
    },  
    {  
        "name": "IPG",  
        "channels": {  
            "All": {  
                "customerReference": "customerReference",  
                "store": "IPG",  
                "requiredParameters": [  
                    "transactionReference"  
                ],  
                "additionalParameters": [  
                    "merchantCode",  
                    "maskedPan",  
                    "stan",  
                    "retrievalReferenceNumber"  
                ]  
            }  
        }  
    },  
    {  
        "name": "PURCHASE",  
        "channels": {  
            "ALL": {  
                "customerReference": "pan",  
                "store": "RJService",  
                "requiredParameters": [  
                    "terminal",  
                    "pan"  
                ],  
                "additionalParameters": [  
                    "stan",  
                    "account",  
                    "rrn"  
                ]  
            }  
        }  
    },  
    {  
        "name": "PayCode",  
        "channels": {  
            "All": {  
                "customerReference": "subscriberPhoneNumber",  
                "store": "PAYDIRECT",  
                "requiredParameters": [],  
                "additionalParameters": [  
                    "paycode",  
                    "amount",  
                    "beneficiaryPhoneNumber"  
                ]  
            }  
        }  
    },  
    {  
        "name": "TRANSFERS ",  
        "channels": {  
            "ALL": {  
                "customerReference": "pan",  
                "store": "RJService",  
                "requiredParameters": [  
                    "terminal",  
                    "pan"  
                ],  
                "additionalParameters": [  
                    "stan",  
                    "account",  
                    "rrn "  
                ]  
            }  
        }  
    },  
    {  
        "name": "Transfer Service",  
        "channels": {  
            "All": {  
                "customerReference": "sourceAccountNumber",  
                "store": "TRANSFERSERVICE",  
                "requiredParameters": [],  
                "additionalParameters": [  
                    "transactionReference",  
                    "clientReference",  
                    "destinationInstitutionDomainCode",  
                    "destinationAccountNumber",  
                    "sourceInstitutionDomainCode",  
                    "sourceAccountNumber"  
                ]  
            }  
        }  
    },  
    {  
        "name": "Visa RJ",  
        "channels": {  
            "ALL": {  
                "customerReference": "pan",  
                "store": "RJService",  
                "requiredParameters": [  
                    "terminal",  
                    "pan"  
                ],  
                "additionalParameters": [  
                    "stan",  
                    "account",  
                    "rrn"  
                ]  
            }  
        }  
    }  
]
Query Params
int32
int32
Headers
string

The token used to identify the user

string

The domain the user belongs to

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json